org.apache.lucene.codecs.lucene40

## Class Lucene40FieldInfosWriter

- java.lang.Object
- - org.apache.lucene.codecs.FieldInfosWriter
  - - org.apache.lucene.codecs.lucene40.Lucene40FieldInfosWriter

-     public class Lucene40FieldInfosWriter
      extends FieldInfosWriter

  Lucene 4.0 FieldInfos writer.
  See Also:
    `Lucene40FieldInfosFormat`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene40FieldInfosWriter()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `docValuesByte(FieldInfo.DocValuesType type, String legacyTypeAtt)` 4.0-style docvalues byte
    `void` | `write(Directory directory, String segmentName, FieldInfos infos, IOContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene40FieldInfosWriter

          public Lucene40FieldInfosWriter()

      Sole constructor.

  - ### Method Detail

    - #### write

          public void write(Directory directory,
                   String segmentName,
                   FieldInfos infos,
                   IOContext context)
                     throws IOException

      Specified by:
        `write` in class `FieldInfosWriter`
      Throws:
        `IOException`

    - #### docValuesByte

          public byte docValuesByte(FieldInfo.DocValuesType type,
                           String legacyTypeAtt)

      4.0-style docvalues byte

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.